Subject: bug#56487: xgselect race condition leading to abort when USE_GTK not defined

From: Stefan Kangas <[email-masked]>
Date: Thu, 7 Sep 2023 11:30:25 -0700

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Tom Gillespie <[email-masked]>
>> Date: Mon, 11 Jul 2022 19:20:02 -0700
>>
>> > No, because we don't want the different GLib event dispatch behavior
>> > outside of GTK with native input enabled.
>>
>> Ok, got it. I'll see if I can figure out an alternate solution with that
>> constraint in mind.
>
> TIA.
>
>> Should I split out the release_select_lock change into a separate
>> patch so that we can get that merged independent of a fix for the
>> abort behavior?
>
> Yes, I think that's a good idea.

(That was one year ago.)

Tom, did you get any further here?  For example, the second part (a
separate patch for release_select_lock) sounds useful independently of
the rest.

Thanks in advance.